<script setup lang="ts">
import type { Phenotype } from "~/utils/types/phenotype";
const props = defineProps<{ gene: string; phenotypes?: Phenotype[] }>();
const repository = usePhenotypeRepository(props.gene, props.phenotypes || []);
</script>

<template>
  <WarningAlert
    v-if="props.phenotypes === undefined"
    :text="`Failed to fetch community-contributed RNAi phenotypes for gene ${props.gene}`"
  />
  <CRUDView v-else :repository="repository" form-label="Add an RNAi phenotype">
    <template #item="{ item, deletePreview, submitPreview }">
      <PhenotypeItem
        :phenotype="item"
        :delete-preview="deletePreview"
        :submit-preview="submitPreview"
      />
    </template>

    <template #inputs="{ item, update }">
      <PhenotypeInput :phenotype="item" @update:phenotype="update" />
    </template>
  </CRUDView>
</template>
